%define major 3

%define libnamedevold %{mklibname spandsp 0}-devel
%define libname %mklibname spandsp %{major}
%define libnamedev %mklibname spandsp -d

%define date	20200914
%global githash 19f867a6

# rel to bump
%define rel	1

Summary:        Steve's SpanDSP library for telephony spans
Name:           spandsp
Version:        0.0.6
Release:        %mkrel pre%{date}.%{githash}.%{rel}
License:        GPL
Group:          System/Libraries
URL:            https://github.com/freeswitch/spandsp
# git archive --prefix=spandsp-19f867a6/ HEAD|xz> ../SOURCES/spandsp-19f867a6.tar.xz
Source0:        spandsp-%{githash}.tar.xz
BuildRequires:  audiofile-devel
BuildRequires:  fftw-devel
BuildRequires:  file
BuildRequires:  fltk-devel
BuildRequires:  jpeg-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  tiff-devel

%description
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libname}
Summary:        Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n %{libname}
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libnamedev}
Summary:        Header files and libraries needed for development with SpanDSP
Group:          Development/C
Obsoletes:      %{libnamedevold} < %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedev}
This package includes the header files and libraries needed for developing
programs using SpanDSP.

%prep
%setup -q -n %{name}-%{githash}

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING DueDiligence INSTALL NEWS README
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/spandsp
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Sep 14 2020 tv <tv> 0.0.6-pre20200914.19f867a6.1.mga8
+ Revision: 1626315
- update to new git snapshot in order to update broken freeswitch

* Fri Feb 14 2020 umeabot <umeabot> 0.0.6-pre20180108.3.mga8
+ Revision: 1517147
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.0.6-pre20180108.2.mga7
+ Revision: 1301126
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 0.0.6-pre20180108.1.mga7
+ Revision: 1221698
- Update to 0.0.6-pre20180108

* Mon Feb 01 2016 umeabot <umeabot> 0.0.6-pre20130128.5.mga6
+ Revision: 930266
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-pre20130128.4.mga5
+ Revision: 742245
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-pre20130128.3.mga5
+ Revision: 689265
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.6-pre20130128.2.mga4
+ Revision: 532977
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 0.0.6-pre20130128.1.mga4
+ Revision: 470550
- new svn checkout 20130128

* Fri Jan 18 2013 fwang <fwang> 0.0.6-pre21.1.mga3
+ Revision: 389384
- new pre 21

* Mon Jan 14 2013 umeabot <umeabot> 0.0.6-pre20.1.mga3
+ Revision: 382425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 25 2012 dlucio <dlucio> 0.0.6-pre20.0.mga2
+ Revision: 226273
- imported package spandsp

